import request from '@/utils/request'

// 查询提现兑换配置列表
export function listWithdrawExchange(query) {
  return request({
    url: '/cai/withdrawExchange/list',
    method: 'get',
    params: query
  })
}

// 查询提现兑换配置详细
export function getWithdrawExchange(id) {
  return request({
    url: '/cai/withdrawExchange/' + id,
    method: 'get'
  })
}

// 新增提现兑换配置
export function addWithdrawExchange(data) {
  return request({
    url: '/cai/withdrawExchange',
    method: 'post',
    data: data
  })
}

// 修改提现兑换配置
export function updateWithdrawExchange(data) {
  return request({
    url: '/cai/withdrawExchange',
    method: 'put',
    data: data
  })
}

// 删除提现兑换配置
export function delWithdrawExchange(id) {
  return request({
    url: '/cai/withdrawExchange/' + id,
    method: 'delete'
  })
}
